> For the complete documentation index, see [llms.txt](https://onestore-dev.gitbook.io/dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://onestore-dev.gitbook.io/dev/chi/tools/app-links/reference.md).

# Reference

### **术语介绍** <a href="#referencechinese-shu-yu-jie-shao" id="referencechinese-shu-yu-jie-shao"></a>

| 主要术语 | 说明                                          | 备注       |
| ---- | ------------------------------------------- | -------- |
| PID  | 为Product ID的简称，如果新增应用内商品，系统则会发行固有应用内商品的固有ID | 留意与AID混淆 |

### **客户端支持版本** <a href="#referencechinese-ke-hu-duan-zhi-chi-ban-ben" id="referencechinese-ke-hu-duan-zhi-chi-ban-ben"></a>

大韩民国

| 商店版本         | 备注    | 包名                      | 支持版本                                           |
| ------------ | ----- | ----------------------- | ---------------------------------------------- |
| T store      | -     | com.skt.skaf.A000Z00040 | Version Name = 5.0.0 / Version Code = 50000 以上 |
| Olleh Market | 预载版本  | com.kt.olleh.storefront | Version Name = 5.0.0 / Version Code = 50000 以上 |
| U+Store      | LTE终端 | com.lguplus.appstore    | Version Name = 5.0.0 / Version Code = 50000 以上 |

大韩民国以外国家/地区

| 商店版本   | 备注 | 包名                            | 支持版本                                            |
| ------ | -- | ----------------------------- | ----------------------------------------------- |
| 新加坡/台湾 | -  | com.onestorecorp.gaa.storeapp | 支持所有版本                                          |
| 美国     | -  | com.dti.folderlauncher        | Version Name = 4.0.0 / Version Code = 400000 以上 |

### **选定商店(Deprecated)** <a href="#referencechinese-xuan-ding-shang-dian-deprecated" id="referencechinese-xuan-ding-shang-dian-deprecated"></a>

* **以下内容不建议使用（Deprecated处理） 作为选定商店的分隔符，建议使用common方式。**<br>

  ```
  onestore://{store selection }/product/{product PID}?view_type={value}
  ```

  | 选定商店                                             | 假设              | 动作                                                     |
  | ------------------------------------------------ | --------------- | ------------------------------------------------------ |
  | common                                           | 只安装一个应用商品客户端时   | 立即连接相应商店                                               |
  | common                                           | 已安装两个以上应用商品客户端时 | 首先显示一个画面，可自行选择欲连接的商品                                   |
  | <p>tstore</p><p>ollehmarket</p><p>uplusstore</p> | 只安装一个应用商品客户端时   | <p>如果已安装相应商店客户端，立即连接</p><p>如果未安装相应商店客户度昂，停止操作（无回应）</p> |
  | <p>tstore</p><p>ollehmarket</p><p>uplusstore</p> | 已安装两个以上医用商品客户端时 | <p>如果已安装相应商店客户端，立即连接</p><p>如果未安装相应商店客户度昂，停止操作（无回应）</p> |

  示例

  ```
  onestore://common/product/{product PID}?view_type={view_type}
  onestore://tstore/product/{product PID}?view_type={view_type}
  onestore://ollehmarket/product/{product PID}?view_type={view_type}
  onestore://uplusstore/product/{product PID}?view_type={view_type}
  ```

### **关于URL scheme连接的引用** <a href="#referencechinese-guan-yu-urlscheme-lian-jie-de-yin-yong" id="referencechinese-guan-yu-urlscheme-lian-jie-de-yin-yong"></a>

* #### 商品详细查看的引用 <a href="#referencechinese-shang-pin-xiang-xi-cha-kan-de-yin-yong" id="referencechinese-shang-pin-xiang-xi-cha-kan-de-yin-yong"></a>

  command

  ```
  onestore://common/product/{product id}
  ```

  | Parameter  | Type   | Mandatory | Limit | sample       | Description |
  | ---------- | ------ | --------- | ----- | ------------ | ----------- |
  | product id | String | M         | 十位数数字 | `0000252337` | 商品的PID（数字）  |
* #### 商品搜索查看的引用 <a href="#referencechinese-shang-pin-sou-suo-cha-kan-de-yin-yong" id="referencechinese-shang-pin-sou-suo-cha-kan-de-yin-yong"></a>

  <br>

  command

  ```
  onestore://common/search/{query}
  ```

  | Parameter | Type   | Mandatory | Limit           | sample       | Description |
  | --------- | ------ | --------- | --------------- | ------------ | ----------- |
  | 搜索词       | String | M         | 10 digit number | `0000252337` | 输入搜索词       |
* #### 请求更新 <a href="#referencechinese-qing-qiu-geng-xin" id="referencechinese-qing-qiu-geng-xin"></a>

  <br>

  command

  ```
  command onestore://common/product/bg_update/{product id}
  ```

  | Parameter  | Type   | Mandatory | Limit | sample       | Description |
  | ---------- | ------ | --------- | ----- | ------------ | ----------- |
  | product id | String | M         | 十位数数字 | `0000252337` | 商品的PID（数字）  |
* 请求更新时规格的参考事项
* * 更新在Background进行，通过提示（Noti）告诉用户进程。
* * 若已经装有最新版本，将无视对于更新的请求。
* * 该动作只针对会员，只有ONE商店会员操作，系统才会有反应。
* * 用户若不是会员，或者失败登录，将显示登录画面。
* * 收费应用：已有购买记录才可启动。
* * 免费应用：自动进行购买处理，并下载。

<br>

### **查询referrer统计** <a href="#referencechinese-cha-xun-referrer-tong-ji" id="referencechinese-cha-xun-referrer-tong-ji"></a>

command

```
onestore://common/{Individual connection commands}?refType=(Int)&referrer=(STRING)&callerType=(INT)
```

| refType | referrer     | callerType                                                                              | 备注                                          |
| ------- | ------------ | --------------------------------------------------------------------------------------- | ------------------------------------------- |
| 1       | package name | <p>7: Android app<br>8: 网页浏览器<br>9: 短息(SMS)<br>10: 推送信息（GCM 等）<br>11: 广告网络 (T-AD 等）</p> | 通过应用呼叫时，建议使用包名（PKG Name）,除外都使用URL (UTF-8)呼叫 |
| 2       | URL          | 相同                                                                                      | 相同                                          |
| 3       | 合作伙伴名称 + PID | 如果与合作伙伴共同进行营销活动，建议使用该方法                                                                 | <p><br></p>                                 |

### &#x20;**服务端API** <a href="#referencechinese-fu-wu-duan-api" id="referencechinese-fu-wu-duan-api"></a>

#### 使用包名（packageName）确认PID及版本名称 <a href="#referencechinese-shi-yong-bao-ming-packagename-que-ren-pid-ji-ban-ben-ming-cheng" id="referencechinese-shi-yong-bao-ming-packagename-que-ren-pid-ji-ban-ben-ming-cheng"></a>

command

```
https://oneapi.onestore.net/api/devcenter/getAppVersion/v1?pkgNm={Packagename}&deviceModelCd={ModelName}&osVer={OS version}&sdkVersion={SDK version}
```

**Request Parameters**

| Parameter     | Type   | Mandatory | Limit   | sample                   | Description |
| ------------- | ------ | --------- | ------- | ------------------------ | ----------- |
| pkgNm         | String | M         | `??100` | `com.nhn.android.search` | 应用的包名       |
| deviceModelCd | String | O         | `??100` | `SM-N920S`               | <p><br></p> |
| osVer         | String | O         | 5       | `6.0.1`                  | 终端设备的OS版本   |
| sdkVersion    | String | O         | 5       | 30                       | <p><br></p> |

**Response Parameters**

<table><thead><tr><th width="115">Name</th><th width="127">Mandatory</th><th width="87">Type</th><th width="129">Description</th><th></th></tr></thead><tbody><tr><td>result</td><td><br></td><td>M</td><td><strong>Object</strong></td><td>响应结果信息</td></tr><tr><td><br></td><td>code</td><td>M</td><td>String</td><td><ul><li>000 : success</li><li>100 : no data</li><li>200 : server error</li><li>400 : bad request</li><li>509 : server busy</li></ul></td></tr><tr><td><br></td><td>desc</td><td>M</td><td>String</td><td><br></td></tr><tr><td>prodId</td><td><br></td><td>M</td><td>String</td><td>商品PID</td></tr><tr><td>verNm</td><td><br></td><td>M</td><td>String</td><td>版本名称，只有注册终端设备名称和OS版本才会显示</td></tr><tr><td>verCd</td><td><br></td><td>M</td><td>String</td><td>结果码（请见下面说明）</td></tr><tr><td>longVerCd</td><td><br></td><td><br></td><td>String</td><td><ul><li><p>Version Code</p><ul><li>Android OS版本为Pie以上且已注册Major Version Code时，响应如下。</li><li><p>Major Version Code 和 version Code 合并版本代码</p><ul><li>(((long) major) &#x3C;&#x3C; 32) | (((long) minor) &#x26; 0xffffffffL)</li></ul></li><li>其他与"verCd"相同的值被响应</li></ul></li></ul></td></tr><tr><td>title</td><td><br></td><td>M</td><td>String</td><td>商品名称</td></tr><tr><td>topMenuId</td><td><br></td><td>M</td><td>String</td><td>版本名称，只有注册终端设备名称和OS版本才会显示</td></tr><tr><td>topMenuNm</td><td><br></td><td>M</td><td>String</td><td>版本名称，只有注册终端设备名称和OS版本才会显示</td></tr><tr><td>menuId</td><td><br></td><td>M</td><td><br></td><td>最大分类代码</td></tr><tr><td>menuNm</td><td><br></td><td>M</td><td>String</td><td>最大分类名称</td></tr><tr><td>sellerNm    </td><td><br></td><td>M</td><td>String</td><td>销售者名称</td></tr><tr><td>game</td><td><br></td><td>M</td><td>boolean</td><td>是否为游戏分类</td></tr></tbody></table>

不输入型号时回应

```
{
    "result": {
        "code": "000",
        "desc": "success"
    },
    "prodId": "0000758646",
    "verNm": "1.36.120365",
    "verCd": "120365",
    "title": "블루 아카이브",
    "topMenuId": "DP01",
    "topMenuNm": "게임",
    "menuId": "DP01004",
    "menuNm": "롤플레잉",
    "sellerNm": "(주) 넥슨",
    "game": true
}
```

<br>

<br>

<br>

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://onestore-dev.gitbook.io/dev/chi/tools/app-links/reference.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
